/*! buttons.css */


/******************************   B U T T O N S   ******************************/


:root {

    /*  D E F A U L T   also used as  F O R M   S U B M I T   B U T T O N  */
    --button_default_font-family: var(--body_font-family);
    --button_default_background-color: none;
    --button_default_color: var(--red);
    --button_default_font-size: clamp(1.4rem, calc(1.56rem + 0.39vw), 1.7rem);
    --button_default_font-weight: 700;
    --button_default_line-height: 1;
    --button_default_letter-spacing: 0;
    --button_default_border-radius: 37px;
    --button_default_border-width: 2px;
    --button_default_border-color: var(--red);
    --button_default_padding: 16px clamp(1.2rem, calc(1.07rem + 1.63vw), 1.8rem);
    --button_default_text-transform: normal;
    --button_default_text-decoration: none;
    --button_default_transition: var(--transition);
    --button_default_box-shadow: none;
    --button_default_margin-top: 11px;
    --button_default_margin-right: 8px;
    --button_default_min-width: 180px;
    --buttom_defualt_min-width-responisve: clamp(11.25rem, calc(9.12rem + 9.46vw), 16.69rem);

    /*  D E F A U L T  Hover  */
    --button_default_hover_background-color: var(--red);
    --button_default_hover_color: var(--text-color-light);
    --button_default_hover_border-color: var(--red);
    --button_default_hover_box-shadow: none;

    /*  D E F A U L T  Focus  */
    --button_default_focus_background-color: var(--red);
    --button_default_focus_color: var(--text-color-light);
    --button_default_focus_border-color: var(--red);
    --button_default_focus_box-shadow: none;

    /*  D E F A U L T  Active  */
    --button_default_active_background-color: var(--red);
    --button_default_active_color: var(--text-color-light);
    --button_default_active_border-color: var(--red);
    --button_default_active_box-shadow: none;

    /************************************************************************************************************************************************/


    /*  L I N K  */
    --button_link_font-family: var(--button_default_font-family);
    --button_link_background-color: none;
    --button_link_color: var(--primary);
    --button_link_font-size: 1.6rem;
    --button_link_font-weight: 500;
    --button_link_line-height: 43px;
    --button_link_letter-spacing: var(--button_default_letter-spacing);
    --button_link_border-radius: 0;
    --button_link_border-width: 1;
    --button_link_border-color: transparent;
    --button_link_padding: 0;
    --button_link_text-transform: var(--button_default_text-transform);
    --button_link_text-decoration: var(--button_default_text-decoration);
    --button_link_margin-top: var(--button_default_margin-top);

    --button_link_icon_size_width_before: 44px;
    --button_link_icon_size_height_before: 44px;


    --button_link_icon_before: var(--icon_arrow-double_right);

    /*  L I N K  Hover  */
    --button_link_hover_background-color: #f3f7f3;
    --button_link_hover_color: var(--primary);
    --button_link_hover_border-color: #f3f7f3;

}


button,
.button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    transition: var(--transition);
    white-space: normal;

}

/******************************   B U T T O N S    D E F A U L T    ******************************/

button,
.button {
    font-family: var(--button_default_font-family);
    background-color: var(--button_default_background-color);
    color: var(--button_default_color);
    font-size: var(--button_default_font-size);
    font-weight: var(--button_default_font-weight);
    line-height: var(--button_default_line-height);
    letter-spacing: var(--button_default_letter-spacing);
    border-radius: var(--button_default_border-radius);
    border-width: var(--button_default_border-width);
    border-style: solid;
    border-color: var(--button_default_border-color);
    padding: var(--button_default_padding);
    text-transform: var(--button_default_text-transform);
    text-decoration: var(--button_default_text-decoration);
    margin-top: var(--button_default_margin-top);
    margin-right: var(--button_default_margin-right);
    min-width: var(--button_default_min-width);
    display: inline-block;
}

button:hover,
.button:hover {
    background-color: var(--button_default_hover_background-color);
    color: var(--button_default_hover_color);
    border-color: var(--button_default_hover_border-color);
    box-shadow: var(--button_default_hover_box-shadow);
}

button:focus,
.button:focus {
    background-color: var(--button_default_focus_background-color);
    color: var(--button_default_focus_color);
    border-color: var(--button_default_focus_border-color);
    box-shadow: var(--button_default_focus_box-shadow);
}

button:active,
.button:active {
    background-color: var(--button_default_active_background-color);
    color: var(--button_default_active_color);
    border-color: var(--button_defaultactive_border-color);
    box-shadow: var(--button_default_active_box-shadow);
}

.button:last-child {
    margin-right: 0 !important;
}

/*
button.margin-top_none,
.button.margin-top_none {
  margin-top: 0 !important;
}
*/

/******************************   B U T T O N S    P R I M A R Y     ******************************/

button.primary,
.button.primary {
    font-family: var(--button_default_font-family);
    background-color: var(--button_default_background-color);
    color: var(--button_default_color);
    font-size: var(--button_default_font-size);
    font-weight: var(--button_default_font-weight);
    line-height: var(--button_default_line-height);
    letter-spacing: var(--button_default_letter-spacing);
    border-radius: var(--button_default_border-radius);
    border-width: var(--button_default_border-width);
    border-style: solid;
    border-color: var(--button_default_border-color);
    padding: var(--button_default_padding);
    text-transform: var(--button_default_text-transform);
    text-decoration: var(--button_default_text-decoration);
    margin-top: var(--button_default_margin-top);
    min-width: var(--button_default_min-width);
}

button.primary:hover,
.button.primary:hover {
    background-color: var(--button_default_hover_background-color);
    color: var(--button_default_hover_color);
    border-color: var(--button_default_hover_border-color);
    box-shadow: var(--button_default_hover_box-shadow);
}

button.primary:focus,
.button.primary:focus {
    background-color: var(--button_default_focus_background-color);
    color: var(--button_default_focus_color);
    border-color: var(--button_default_focus_border-color);
    box-shadow: var(--button_default_focus_box-shadow);
    outline: 1px dotted var(--button_default_background-color);
    outline-offset: 2px;
}

button.primary:active,
.button.primary:active {
    background-color: var(--button_default_active_background-color);
    color: var(--button_default_active_color);
    border-color: var(--button_default_actives_border-color);
    box-shadow: var(--button_default_active_box-shadow);
}

.button.primary.arrow:after,
span.more-button:after {
    position: relative;
    content: "";
    background-image: url("../Icons/icon-arrow-right.svg");
    filter: var(--filter_red);
    width: 7px;
    height: 10px;
    margin-left: 3.5rem;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    transition: var(--transition);
}


.button.primary.arrow:hover::after,
span.more-button:hover::after {
    filter: invert(1);
}

/******************************   B U T T O N S    S E C O N D A R Y    ******************************/

button.secondary,
.button.secondary {
    font-family: var(--button_default_font-family);
    background-color: rgba(255, 255, 255, .7);
    color: var(--black);
    font-size: var(--button_default_font-size);
    font-weight: var(--button_default_font-weight);
    line-height: var(--button_default_line-height);
    letter-spacing: var(--button_default_letter-spacing);
    border-radius: 43px;
    border-width: var(--button_default_border-width);
    border-style: solid;
    border-color: rgba(255, 255, 255, 0);
    padding: 20px 32px;
    text-transform: var(--button_default_text-transform);
    text-decoration: var(--button_default_text-decoration);
    margin-top: var(--button_default_margin-top);
    margin-right: var(--button_default_margin-right);
}

button.secondary:hover,
.button.secondary:hover {
    border-color: rgba(255, 255, 255, 1);
    background-color: rgba(255, 255, 255, 1);
    color: var(--black);
    box-shadow: var(--button_default_hover_box-shadow);
}

button.secondary:focus,
.button.secondary:focus {
    border-color: var(--red);
    background-color: rgba(0, 136, 61, 0.08);
    color: var(--red);
    box-shadow: var(--button_default_focus_box-shadow);
    outline: 1px dotted var(--button_default_background-color);
    outline-offset: 2px;
}

button.secondary:active,
.button.secondary:active {
    border-color: var(--button_default_active_border-color);
    background-color: var(--primary);
    color: var(--button_default_active_color);
    box-shadow: var(--button_default_active_box-shadow);
}

.button.secondary.arrow:after {
    position: relative;
    content: "";
    background-image: url("../Icons/icon-arrow-right.svg");
    width: 8px;
    height: 14px;
    margin-left: 2rem;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    transition: var(--transition);
}

@media (max-width: 1024px) {
    button.secondary,
    .button.secondary {
        padding: 13px 14px;
        font-size: 13px;
    }

    button.secondary.arrow:after,
    .button.secondary.arrow:after {
        height: 10px;
        margin-left: 1.4rem;
    }
}

/******************************   B U T T O N S    T E R T I A R Y    ******************************/

button.tertiary,
.button.tertiary,
button:disabled,
.button:disabled {
    font-family: var(--button_default_font-family);
    background-color: var(--button_default_background-color);
    color: var(--grey_light);
    font-size: var(--button_default_font-size);
    font-weight: var(--button_default_font-weight);
    line-height: var(--button_default_line-height);
    letter-spacing: var(--button_default_letter-spacing);
    border-radius: var(--button_default_border-radius);
    border-width: var(--button_default_border-width);
    border-style: solid;
    border-color: var(--grey_light);
    padding: var(--button_default_padding);
    text-transform: var(--button_default_text-transform);
    text-decoration: var(--button_default_text-decoration);
    margin-top: var(--button_default_margin-top);
    min-width: var(--button_default_min-width);
}

button:disabled,
.button:disabled {
    pointer-events: none;
    cursor: not-allowed;
}

button.tertiary:hover,
.button.tertiary:hover {
    background-color: var(--button_default_hover_background-color);
    color: var(--button_default_hover_color);
    border-color: var(--button_default_hover_border-color);
    box-shadow: var(--button_default_hover_box-shadow);
}

button.tertiary:focus,
.button.tertiary:focus {
    background-color: var(--button_default_focus_background-color);
    color: var(--button_default_focus_color);
    border-color: var(--button_default_focus_border-color);
    box-shadow: var(--button_default_focus_box-shadow);
    outline: 1px dotted var(--button_default_background-color);
    outline-offset: 2px;
}

button.tertiary:active,
.button.tertiary:active {
    background-color: var(--button_default_active_background-color);
    color: var(--button_default_active_color);
    border-color: var(--button_default_actives_border-color);
    box-shadow: var(--button_default_active_box-shadow);
}

@media (max-width: 1280px) {
    button,
    .button,
    button.primary,
    .button.primary {
        min-width: var(--buttom_defualt_min-width-responisve);
    }
}

/******************************   B U T T O N S   O U T L I N E   ******************************/
/*
button.outline,
.button.outline {
  font-family: var(--button_outline_font-family);
  background-color: transparent;
  color: var(--button_outline_color);
  font-size: var(--button_outline_font-size);
  font-weight: var(--button_outline_font-weight);
  line-height: var(--button_outline_line-height);
  letter-spacing: var(--button_outline_letter-spacing);
  border-radius: var(--button_outline_border-radius);
  border-width: var(--button_outline_border-width);
  border-style: solid;
  border-color: var(--button_outline_border-color);
  padding: var(--button_outline_padding);
  text-transform: var(--button_outline_text-transform);
  text-decoration: var(--button_outline_text-decoration);
  margin-top: var(--button_outline_margin-top);
}
button.outline:hover,
.button.outline:hover {
  background-color: var(--button_outline_hover_background-color);
  color: var(--button_outline_hover_color);
  border-color: var(--button_outline_hover_border-color);
}

button.outline.large,
.button.outline.large {
  font-size: var(--button_outline_large_font-size);
  letter-spacing: var(--button_outline_large_letter-spacing);
  border-radius: var(--button_outline_large_border-radius);
  padding: var(--button_outline_large_padding);
}
button.outline.small,
.button.outline.small {
  font-size: var(--button_outline_small_font-size);
  letter-spacing: var(--button_outline_small_letter-spacing);
  border-radius: var(--button_outline_small_border-radius);
  padding: var(--button_outline_small_padding);
}
*/

/******************************   O U T L I N E   P R I M A R Y   ******************************/

/*
button.outline.primary,
.button.outline.primary {
  background-color: var(--button_outline_primary_background-color);
  color: var(--button_outline_primary_color);
  border-color: var(--button_outline_primary_border-color);
}
button.outline.primary:hover,
.button.outline.primary:hover {
  background-color: var(--button_outline_primary_hover_background-color);
  color: var(--button_outline_primary_hover_color);
  border-color: var(--button_outline_primary_hover_border-color);
}
button.outline.primary:focus,
.button.outline.primary:focus {
  background-color: var(--button_outline_primary_focus_background-color);
  color: var(--button_outline_primary_focus_color);
  border-color: var(--button_outline_primary_focus_border-color);
}
button.outline.primary:active,
.button.outline.primary:active {
  background-color: var(--button_outline_primary_active_background-color);
  color: var(--button_outline_primary_active_color);
  border-color: var(--button_outline_primary_active_border-color);
}

*/
/******************************   O U T L I N E   S E C O N D A R Y   ******************************/
/*
button.outline.secondary,
.button.outline.secondary {
  background-color: var(--button_outline_secondary_background-color);
  color: var(--button_outline_secondary_color);
  border-color: var(--button_outline_secondary_border-color);
}
button.outline.secondary:hover,
.button.outline.secondary:hover {
  background-color: var(--button_outline_secondary_hover_background-color);
  color: var(--button_outline_secondary_hover_color);
  border-color: var(--button_outline_secondary_hover_border-color);
}
button.outline.secondary:focus,
.button.outline.secondary:focus {
  background-color: var(--button_outline_secondary_focus_background-color);
  color: var(--button_outline_secondary_focus_color);
  border-color: var(--button_outline_secondary_focus_border-color);
}
button.outline.secondary:active,
.button.outline.secondary:active {
  background-color: var(--button_outline_secondary_active_background-color);
  color: var(--button_outline_secondary_active_color);
  border-color: var(--button_outline_secondary_active_border-color);
}

*/
/******************************   O U T L I N E   T E R T I A R Y   *****************************

button.outline.tertiary,
.button.outline.tertiary {
  background-color: var(--button_outline_tertiary_background-color);
  color: var(--button_outline_tertiary_color);
  border-color: var(--button_outline_tertiary_border-color);
}
button.outline.tertiary:hover,
.button.outline.tertiary:hover {
  background-color: var(--button_outline_tertiary_hover_background-color);
  color: var(--button_outline_tertiary_hover_color);
  border-color: var(--button_outline_tertiary_hover_border-color);
}
button.outline.tertiary:focus,
.button.outline.tertiary:focus {
  background-color: var(--button_outline_tertiary_focus_background-color);
  color: var(--button_outline_tertiary_focus_color);
  border-color: var(--button_outline_tertiary_focus_border-color);
}
button.outline.tertiary:active,
.button.outline.tertiary:active {
  background-color: var(--button_outline_tertiary_active_background-color);
  color: var(--button_outline_tertiary_active_color);
  border-color: var(--button_outline_tertiary_active_border-color);
}
*/

/******************************   O U T L I N E   W H I T E   ******************************/

/*
button.outline.white,
.button.outline.white {
  background-color: var(--button_outline_white_background-color);
  color: var(--button_outline_white_color);
  border-color: var(--button_outline_white_border-color);
}
button.outline.white:hover,
.button.outline.white:hover {
  background-color: var(--button_outline_white_hover_background-color);
  color: var(--button_outline_white_hover_color);
  border-color: var(--button_outline_white_hover_border-color);
}
*/


/******************************   I C O N S   ******************************/

/*
button.icon:before, 
.button.icon:before {
    content: "";
    display: inline-block;
    background-size: contain;  
    width: 12px;
    height: 12px;
    margin: 0 8px 0 0;
    vertical-align: middle;
    
}

button.icon.arrow:before, 
.button.icon.arrow:before {
    filter: invert(1);
    background-image: url("../Icons/icon_arrow_right.svg");
}

*/

/******************************   I C O N S   ******************************/

/*

button.icon.download:before, 
.button.icon.download:before {
    content: "";
    display: inline-block;
    background-size: contain;  
    width: 16px;
    height: 16px;
    margin: 0 8px 0 0;
    vertical-align: middle;
    filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(288deg) brightness(102%) contrast(102%);   
    
}
*/

/******************************   L I N K   ******************************/

/*
.link {
  font-family: var(--button_link_font-family);
  background-color: var(--button_link_background-color);
  color: var(--primary);
  font-size: 1.6rem;
  font-weight: var(--button_link_font-weight);
  line-height: var(--button_link_line-height);
  letter-spacing: var(--button_link_letter-spacing);
  border-radius: var(--button_link_border-radius);
  border-width: var(--button_link_border-width);
  border-style: solid;
  border-color: var(--button_link_border-color);
  padding: var(--button_link_padding);
  text-transform: var(--button_link_text-transform);
  text-decoration: var(--button_link_text-decoration);
  margin-top: var(--button_link_margin-top);
  display: inline-block;
  vertical-align: middle;
  padding: 14px 18px 14px 18px;
  
}
.link:hover {
  background-color: var(--button_link_hover_background-color);
  color: var(--button_link_hover_color);
  border-color: var(--button_link_hover_border-color);
  text-decoration: underline;
}
.link:focus {
    background-color: var(--white);
    border: 1px dotted var(--primary);
    text-decoration: underline;
  }

.link.primary.icon.arrow-right:before {
    content: "";
    display: inline-block;
    background-size: 16px 16px;
    background-position: center center;  
    width: var(--button_link_icon_size_width_before);
    height: var(--button_link_icon_size_height_before);
    margin-top: -3px;
    margin-right: 12px;
    vertical-align: middle;
    filter: invert(44%) sepia(76%) saturate(7275%) hue-rotate(143deg) brightness(90%) contrast(103%);    
    background-image: url("../Icons/icon_arrow_right.svg");
    border: 2px solid var(--primary);
    border-radius: 22px;
}

.link.primary.icon.arrow-double-right.before:hover:before, 
.link.primary.icon.arrow-double-right.after:hover:after {
    filter: invert(0%) sepia(1%) saturate(7492%) hue-rotate(347deg) brightness(110%) contrast(97%);   
}



.link.primary.icon.book:before {
  content: "";
  display: inline-block;
  background-size: 43px 43px;
  background-position: center center;  
  width: var(--button_link_icon_size_width_before);
  height: var(--button_link_icon_size_height_before);
  margin-top: -3px;
  margin-right: 12px;
  vertical-align: middle;
  filter: invert(44%) sepia(76%) saturate(7275%) hue-rotate(143deg) brightness(90%) contrast(103%);    
  background-image: url("../Icons/icon_circled_book.svg");
}

*/

/******************************   B U T T O N   S E C O N D A R Y   ******************************/

/*

.link.secondary {
  content: "";
  display: inline-block;
  background-size: 43px 43px;
  background-position: center center;  
  margin-top: -3px;
  margin-right: 12px;
  vertical-align: middle;
  color: var(--text-color-dark);
}
.link.secondary:hover {
  color: var(--primary);
}
*/

/******   P O S I T I O N   O F   T H E   I C O N   ******/


.button.icon.left:before,
.button.icon.right:after {
    content: "";
    display: inline-block;
    background-position: center center;
    vertical-align: middle;
}


.button.icon.left:before {
    margin-right: 28px;
}

.button.icon.right {
    padding: 29px 38px 29px 54px;
}

.button.icon.right:after {
    margin-left: 28px;
}


/******   C O L O R   O F   I C O N   *****
.link.secondary {
  color: var(--text-color-dark);
}
.link.secondary.icon:before,
.link.secondary.icon:after {
  filter: var(--filter_carbon-gray_30);    
}
.link.secondary.icon:hover::before,
.link.secondary.icon:hover::after {
  filter: var(--filter_green);
}
.link.secondary.icon:before:hover,
.link.secondary.icon:after:hover {
  filter: var(--filter_green);
}



/******   I M A G E   O F   T H E   I C O N   *****
/*.link.arrow-left:before {
  background-image: url("../Icons/icon_chevron_left_black.svg");

}
*/
.button.chevron:after {
    width: 8px;
    height: 14px;
    background-size: 8px 14px;
    background-image: url("../Icons/icon_chevron_right.svg");
}

/******   N U M B E R   o f   L I N E S   *****
.link.two-lines .label,
.link.two-lines .title {
  display: block;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1;
  letter-spacing: 2.24px;
  text-align: left;
}
.link.two-lines .title {
  font-size: 1.8rem;
  line-height: 1;
  letter-spacing: normal;
  text-align: left;
}

.link.two-lines {
    display: inline-flex;
    flex-direction: row;
    height: 100%;
    align-items: center;
}
.link.two-lines > div {
    line-height: normal;
}



*/